<?php

//Assign global variables.
$GLOBALS['loader_on'] = true;
$GLOBALS['loginpage'] = true;

session_start();

if (isset($_GET['logout'])) {
  $_SESSION = array();
  session_destroy();
  header("Location: index.php");
} elseif (isset($_GET['create'])) {
  $create_mode = true;
} else {
  $create_mode = false;
}

require_once("config.inc.php");
require_once("include/mysql.inc.php");
require_once("include/checklogin.inc.php");

$msg = "";

if ($_POST['submit'] == "Log in") {
  $user_data = checkLogin($_POST['username'], $_POST['password'], $db, $mysql_table_users, true);
  if ($user_data !== false) {
    $_SESSION['id'] = $user_data['uid'];
    $_SESSION['username'] = $user_data['username'];
    $_SESSION['password'] = $_POST['password'];
    header("Location: admin.php");
  } else {
    $msg = "Wrong username or password!";
  }
} elseif ($_POST['submit'] == "Create user") {
  if ($_POST['nucode'] == $new_user_pass) {
    $nucode_value = $_POST['nucode'];
    if ($_POST['password'] == $_POST['pass_conf']) {
      if (($_POST['username']) && ($_POST['password'])) {
        $e_user = dbEscape($_POST['username']);
        if (dbQuery("SELECT username FROM $mysql_table_users WHERE username='$e_user' LIMIT 1", $db, 0, 2) != $_POST['username']) {
          $e_pass = dbEscape($_POST['password']);
          if (dbQuery("INSERT INTO $mysql_table_users (username,password) VALUES ('$e_user',PASSWORD('$e_pass'))", $db, -3, 1)) {
            $msg = "New user \"".$_POST['username']."\" created.";
          } else {
            $msg = "Error while creating user!";
          }
        } else {
          $msg = "There already is a user named \"".$_POST['username']."\".<br>Choose another username.";
          $create_mode = true;
        }
      } else {
        $msg = "Username and password must contain at least one letter each!";
        $create_mode = true;
      }
    } else {
      $msg = "The passwords you supplied were not equal!";
      $create_mode = true;
    }
  } else {
    $msg = "Wrong new user code!";
    $nucode_value = "";
    $create_mode = true;
  }
}

require_once("include/header.inc.php");

print "
<div style='min-width: 750px;'>
<div align='center'><img src='images/login-lock.png' alt='Restricted access' title='Restricted access'></div>
</p><p>";
if ($msg) {
  print "<div style='color: #CC0000; text-align: center;'>$msg</div>
</p><p>";
}
print "
<div align='center' style='font-size: 14pt; font-style: italic; font-weight: bold; min-width: 750px;'>".($create_mode ? "Create new user" : "Log in")."</div>
</p><p>
<form action='$self' method='POST'>
<div align='center'>
<div style='font-size: 10pt; width: 210px; border: 1px solid black; padding: 5px;'>
<label>Username<br>
<input type='text' name='username' style='width: 200px;' maxlength='255' value='".$_POST['username']."'></label><br>
<br>
<label>Password<br>
<input type='password' name='password' style='width: 200px;' maxlength='255'></label><br>";
if ($create_mode) {
  print "
<label>Password again<br>
<input type='password' name='pass_conf' style='width: 200px;' maxlength='255'></label>";
  if ($new_user_pass) {
    print "<br>
<br>
<label>New user code (Spam protection)<br>
<input type='password' name='nucode' style='width: 200px;' maxlength='255' value='$nucode_value'></label>";
  }
  print "<br>
<br>
<div align='center'>
<input type='button' value='Cancel' onClick='javascript:location.href = \"login.php\";'>&nbsp;
<input type='submit' name='submit' value='Create user'>
</div>";
} else {
  print "
<br>
<div align='center'>
<input type='button' value='Cancel' onClick='javascript:location.href = \"index.php\";'>&nbsp;
<input type='submit' name='submit' value='Log in'>
</div>";
}
print "
</div>
</div>
</form>
</div>
</p><p>
<div align='center' style='min-width: 750px;'>
<p>".($create_mode ? "<a href='$self'>Log in prompt</a>" : "<a href='$self?create='>Create new user</a>")."</p>
<p><span style='font-size: 8pt; font-style: italic;'>(Image from the <a href='http://www.kde-look.org/content/show.php?content=16479' target='_new'>Czanne Icon Theme</a> by <a href='http://christopher.townson.biz' target='_new'>Christopher Townson</a>)</span></p>
</div>
</p><p>";

require_once("include/footer.inc.php");

?>
