<?php

//Assign global variables.
$GLOBALS['loader_on'] = true;
$GLOBALS['logged_in'] = true;

session_start();

require_once("config.inc.php");
require_once("include/mysql.inc.php");
require_once("include/checklogin.inc.php");

if (checkLogin($_SESSION['username'], $_SESSION['password'], $db, $mysql_table_users) !== $_SESSION['username']) {
  $_SESSION = array();
  session_destroy();
  header("Location: login.php");
} else {
  require_once("include/header.inc.php");

  if (isset($_POST['submit'])) {
    require_once("include/posthandler-admin.inc.php");
  } else {
    require_once("include/links.inc.php");

    print "
<div style='border-top: 1px solid #000000; min-width: 750px;'></div>
</p><p>
<a name='form'>
<div style='min-width: 750px;'>
<form action='$self' method='POST'>
<span style='font-size: 14pt; font-style: italic; font-weight: bold;'>";
    if (is_numeric($_GET['edit'])) {
      print "
Edit/Remove link</span>
<input type='hidden' name='id' value='".$_GET['edit']."'>";
      $link = dbQuery("SELECT category,url,title,comment FROM $mysql_table_links WHERE id='".$_GET['edit']."' LIMIT 1", $db, -2);
      foreach ($link as $name => $value) {
        $name = "l_".$name;
        $$name = $value;
      }
      unset($link);
    } else {
      print "
Add link</span>";
      foreach (array('url', 'title', 'comment') as $name) {
        $name = "l_".$name;
        $$name = "";
      }
      $l_category = 0;
    }
    print "
<table border='0'>
<tr>
<td width='100'><label for='url'>URL <span style='color: #FF0000;'>*</span></label></td><td><input type='text' name='url' style='width: 600px;' maxlength='255' value='$l_url' id='url'></td>
</tr><tr>
<td width='150'><label for='title'>Title</label></td><td><input type='text' name='title' style='width: 600px;' maxlength='255' value='$l_title' id='title'></td>
</tr><tr>
<td width='150'><label for='comment'>Comment</label></td><td>
<textarea name='comment' style='width: 600px; height: 75px;' id='comment'>$l_comment</textarea>
</td>
</tr><tr>
<td width='150'><label for='category'>Category</label></td><td>
<select name='category' size='1' id='category'>
<option value='0'>No category</option>
<option value='0'>---------------</option>";
    $result = dbQuery("SELECT cid,catname FROM $mysql_table_categories WHERE 1");
    while ($cat = mysql_fetch_assoc($result)) {
      print "
<option value='".$cat['cid']."'".($l_category == $cat['cid'] ? " selected" : "").">".$cat['catname']."</option>";
    }
    unset($cat);
    mysql_free_result($result);
    print "
</select>
<a href='categories.php'>Manage categories</a>
</td>
</tr><tr>
<td width='150'><span style='color: #FF0000;'>*</span><span style='font-size: 8pt;'> = Mandatory info</span></td>
<td align='right'>";
    if (is_numeric($_GET['edit'])) {
      print "
<input type='button' value='Cancel changes' onClick='javascript:location.href = \"$self\";'>&nbsp;
<input type='submit' name='submit' value='Remove link'>";
    } else {
      print "
<input type='reset' value='Reset fields'>";
    }
    print "
<input type='submit' name='submit' value='Save link'></td>
</tr>
</table>
</div>
</p><p>";
  }

  require_once("include/footer.inc.php");
}

?>
